#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=okinawa1.39_base.ps
projection=-JM16.0c+
region=-R126.4/128.6/25.7/27.2
gmt psbasemap $region $projection -Bxa1.0f0.1 -Bya1.0f0.1 -BWeSn+t'Base Map okinawa1.39' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/h10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    26.041   127.904
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    26.449   128.444
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    26.103   128.310
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    27.083   127.644
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    26.565   126.904
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    27.011   126.641
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    26.991   126.667
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    27.055   126.747
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    27.011   126.660
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    26.927   126.554
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    26.167   127.445
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    26.865   127.697
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    26.139   127.450
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    26.402   127.312
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    26.266   128.317
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    27.107   126.897
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    26.831   127.781
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    26.686   126.480
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    26.244   126.566
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    27.106   126.844
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    26.429   128.519
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    26.005   128.333
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    27.042   127.990
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    25.900   127.781
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    26.203   128.380
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    27.011   126.750
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    27.008   128.186
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    25.830   127.290
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    26.212   128.325
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    26.821   128.345
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    26.443   127.181
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    26.912   126.698
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    26.909   126.741
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    26.918   126.733
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    26.828   127.908
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    26.914   126.737
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    26.247   128.324
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    26.542   127.059
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    26.279   128.421
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    26.970   128.253
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.034   127.886
    26.041   127.904
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.867   128.110
    26.041   127.904
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.454   128.442
    26.449   128.444
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.417   128.421
    26.449   128.444
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.107   128.309
    26.103   128.310
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.021   128.287
    26.103   128.310
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.092   127.651
    27.083   127.644
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.082   127.665
    27.083   127.644
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.565   126.912
    26.565   126.904
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.582   126.947
    26.565   126.904
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.006   126.632
    27.011   126.641
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.046   126.730
    27.011   126.641
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.986   126.657
    26.991   126.667
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.956   126.661
    26.991   126.667
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.052   126.738
    27.055   126.747
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.994   126.688
    27.055   126.747
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.017   126.656
    27.011   126.660
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.901   126.656
    27.011   126.660
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.926   126.552
    26.927   126.554
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.951   126.679
    26.927   126.554
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.163   127.445
    26.167   127.445
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.096   127.535
    26.167   127.445
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.865   127.696
    26.865   127.697
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.800   127.766
    26.865   127.697
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.148   127.450
    26.139   127.450
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.090   127.487
    26.139   127.450
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.405   127.312
    26.402   127.312
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.375   127.333
    26.402   127.312
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.266   128.314
    26.266   128.317
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.181   128.431
    26.266   128.317
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.100   126.892
    27.107   126.897
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.015   126.936
    27.107   126.897
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.831   127.777
    26.831   127.781
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.747   127.848
    26.831   127.781
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.682   126.478
    26.686   126.480
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.689   126.519
    26.686   126.480
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.244   126.569
    26.244   126.566
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.172   126.681
    26.244   126.566
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.103   126.844
    27.106   126.844
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.058   126.874
    27.106   126.844
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.426   128.514
    26.429   128.519
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.446   128.494
    26.429   128.519
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.005   128.327
    26.005   128.333
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.057   128.361
    26.005   128.333
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.044   127.990
    27.042   127.990
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.015   128.028
    27.042   127.990
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.900   127.773
    25.900   127.781
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.823   127.876
    25.900   127.781
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.201   128.375
    26.203   128.380
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.164   128.365
    26.203   128.380
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.009   126.750
    27.011   126.750
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.021   126.804
    27.011   126.750
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.009   128.186
    27.008   128.186
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.003   128.176
    27.008   128.186
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.845   127.297
    25.830   127.290
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.761   127.302
    25.830   127.290
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.212   128.322
    26.212   128.325
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.182   128.385
    26.212   128.325
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.816   128.350
    26.821   128.345
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.800   128.386
    26.821   128.345
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.450   127.177
    26.443   127.181
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.414   127.188
    26.443   127.181
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.911   126.695
    26.912   126.698
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.709   126.703
    26.912   126.698
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.908   126.737
    26.909   126.741
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.849   126.670
    26.909   126.741
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.917   126.728
    26.918   126.733
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.892   126.829
    26.918   126.733
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.829   127.905
    26.828   127.908
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.849   127.887
    26.828   127.908
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.913   126.733
    26.914   126.737
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.867   126.758
    26.914   126.737
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.246   128.320
    26.247   128.324
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.136   128.383
    26.247   128.324
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.540   127.058
    26.542   127.059
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.481   127.173
    26.542   127.059
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.279   128.414
    26.279   128.421
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.157   128.392
    26.279   128.421
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.972   128.247
    26.970   128.253
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.700   128.237
    26.970   128.253
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    26.041   127.904   -29.091     0.269     8.191
    26.449   128.444   -14.221     0.330     7.618
    26.103   128.310   -16.406     0.255     6.887
    27.083   127.644    10.919     5.380     6.162
    26.565   126.904   -20.598     4.062     4.868
    27.011   126.641   -42.234     3.060     3.573
    26.991   126.667   -33.581     3.016     3.782
    27.055   126.747   -43.710     3.304     5.207
    27.011   126.660   -46.171     3.309     4.863
    26.927   126.554   -54.687     3.802     5.748
    26.167   127.445   -33.444     4.471     4.812
    26.865   127.697    -3.877     2.308     4.272
    26.139   127.450    72.870     2.685     4.656
    26.402   127.312   -86.221     1.891     5.417
    26.266   128.317    29.139     5.385     6.058
    27.107   126.897     3.661     3.086     5.479
    26.831   127.781    44.978     2.994     3.756
    26.686   126.480   -43.932     2.322     4.511
    26.244   126.566    65.241     1.782     4.024
    27.106   126.844    14.452     2.931     5.141
    26.429   128.519    89.754     2.130     3.148
    26.005   128.333    87.145     2.634     3.749
    27.042   127.990    39.498     2.748     4.903
    25.900   127.781   -89.248     2.016     2.163
    26.203   128.380   -10.712     3.045     5.400
    27.011   126.750    -4.455     2.042     3.689
    27.008   128.186    31.424     2.994     4.396
    25.830   127.290   -54.162     2.891     5.921
    26.212   128.325    81.152     1.839     1.903
    26.821   128.345    42.853     2.392     5.744
    26.443   127.181    70.370     1.680     3.301
    26.912   126.698   -38.668     1.287     2.061
    26.909   126.741    15.232     2.148     2.658
    26.918   126.733   -22.508     1.816     2.063
    26.828   127.908    62.897     1.665     3.385
    26.914   126.737    17.135     1.699     2.132
    26.247   128.324   -85.030     1.821     2.023
    26.542   127.059    67.515     2.436     4.055
    26.279   128.421    11.458     2.444     4.685
    26.970   128.253    15.138     6.056     7.388
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    26.991   126.667     0.200
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    25.784   126.438   -83.140     1.618     2.146
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    25.784   126.460   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    25.784   126.438     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    25.784   126.438     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    25.739   126.438   5 km
END
