#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=okinawa1.39_dcal.ps
projection=-JM16.0c+
region=-R124.4/130.6/23.9/29.0
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration okinawa1.39' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/h10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.217   127.683
    27.083   127.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.565   126.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.565   126.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.217   127.683
    26.565   126.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.217   127.683
    26.565   126.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.595   127.973
    26.565   126.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.595   127.973
    26.565   126.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    27.011   126.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    27.011   126.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.991   126.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    27.055   126.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    27.055   126.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    27.011   126.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    27.011   126.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.927   126.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.927   126.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.217   127.683
    26.167   127.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.217   127.683
    26.167   127.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.595   127.973
    26.167   127.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.595   127.973
    26.167   127.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.167   127.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.167   127.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.590   127.968
    26.865   127.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.590   127.968
    26.865   127.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.203   127.690
    26.865   127.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.203   127.690
    26.865   127.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.865   127.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.865   127.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.203   127.690
    26.139   127.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.203   127.690
    26.139   127.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.217   127.683
    26.139   127.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.217   127.683
    26.139   127.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.139   127.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.335   126.807
    26.139   127.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.590   127.968
    26.139   127.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.590   127.968
    26.139   127.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.203   127.690
    26.402   127.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.203   127.690
    26.402   127.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    26.402   127.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    26.402   127.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.402   127.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.402   127.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.402   127.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.402   127.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    26.266   128.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    26.266   128.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.266   128.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.266   128.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.203   127.690
    26.266   128.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.266   128.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    27.107   126.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    27.107   126.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.831   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.831   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.831   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.831   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.203   127.690
    26.831   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    26.831   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    26.831   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.686   126.480
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.686   126.480
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.686   126.480
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.686   126.480
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.244   126.566
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.244   126.566
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.244   126.566
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    27.106   126.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    27.106   126.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    27.106   126.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    27.106   126.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.361   128.571
    26.429   128.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.005   128.333
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.005   128.333
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.005   128.333
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.005   128.333
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.005   128.333
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.361   128.571
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.361   128.571
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    27.042   127.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.142   127.747
    25.900   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    25.900   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    25.900   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    25.900   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    25.900   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    25.900   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    25.900   127.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.203   128.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.203   128.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.203   128.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.203   128.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.203   128.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.203   128.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.203   128.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    27.011   126.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    27.011   126.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    27.011   126.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.361   128.571
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.361   128.571
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.144   127.784
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.144   127.784
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    27.008   128.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    25.830   127.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    25.830   127.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    25.830   127.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    25.830   127.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    25.830   127.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.212   128.325
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.821   128.345
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.821   128.345
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.821   128.345
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.821   128.345
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.821   128.345
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.821   128.345
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.821   128.345
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.361   128.571
    26.821   128.345
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.361   128.571
    26.821   128.345
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.144   127.784
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.144   127.784
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.443   127.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.912   126.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.912   126.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.912   126.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.912   126.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.909   126.741
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.909   126.741
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.909   126.741
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.909   126.741
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.918   126.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.918   126.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.918   126.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.918   126.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.144   127.784
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.361   128.571
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.361   128.571
    26.828   127.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.914   126.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.914   126.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.914   126.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.326   126.786
    26.914   126.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.144   127.784
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.144   127.784
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.247   128.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.542   127.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.589   127.242
    26.542   127.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.144   127.784
    26.542   127.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.144   127.784
    26.542   127.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.542   127.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.542   127.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.542   127.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.542   127.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.519   128.022
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.025   128.451
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.035   127.967
    26.279   128.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.970   128.253
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.970   128.253
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.832   128.275
    26.970   128.253
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    26.217   127.683     0.300
    26.335   126.807     0.300
    26.595   127.973     0.300
    26.590   127.968     0.300
    26.203   127.690     0.300
    26.142   127.747     0.300
    26.326   126.786     0.300
    27.035   127.967     0.300
    26.832   128.275     0.300
    26.589   127.242     0.300
    26.519   128.022     0.300
    27.361   128.571     0.300
    26.144   127.784     0.300
    27.025   128.451     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.041   127.904     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.449   128.444     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.103   128.310     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.083   127.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.565   126.904     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.011   126.641     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.991   126.667     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.055   126.747     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.011   126.660     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.927   126.554     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.167   127.445     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.865   127.697     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.139   127.450     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.402   127.312     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.266   128.317     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.107   126.897     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.831   127.781     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.686   126.480     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.244   126.566     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.106   126.844     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.429   128.519     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.005   128.333     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.042   127.990     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.900   127.781     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.203   128.380     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.011   126.750     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.008   128.186     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.830   127.290     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.212   128.325     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.821   128.345     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.443   127.181     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.912   126.698     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.909   126.741     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.918   126.733     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.828   127.908     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.914   126.737     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.247   128.324     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.542   127.059     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.279   128.421     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.970   128.253     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    26.612   127.480     0.000   222.000   222.000
    26.612   127.480     0.000   444.000   444.000
END
